Skip to main content
PATCH
/
v1
/
bulk
/
user
/
preference
/
reset
/
Reset
curl --request PATCH \
  --url https://hub.suprsend.com/v1/bulk/user/preference/reset/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "distinct_ids": [
    "id1",
    "id2"
  ],
  "reset_channel_preferences": true,
  "reset_categories": true
}
'
import requests

url = "https://hub.suprsend.com/v1/bulk/user/preference/reset/"

payload = {
"distinct_ids": ["id1", "id2"],
"reset_channel_preferences": True,
"reset_categories": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
distinct_ids: ['id1', 'id2'],
reset_channel_preferences: true,
reset_categories: true
})
};

fetch('https://hub.suprsend.com/v1/bulk/user/preference/reset/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true
}
{
"code": 404,
"message": "tenant '_tenant_id_' not found"
}

Authorizations

Authorization
string
header
required

Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.

Query Parameters

tenant_id
string

to fetch user preferences for a particular tenant

Body

application/json
distinct_ids
string[]
required

distinct_id of users whose preference needs to be reset

reset_channel_preferences
boolean
default:true

setting this to true will set all channel preference to default setting.

reset_categories
boolean
default:true

setting this to true will set all category preferences to default tenant preference.

Response

202

success
boolean
Example:

true